routes/web.php
<?php

use App\Helpers\CustomerHelper;
use App\Http\Controllers\BillsController;
use App\Http\Controllers\CustomersController;
use App\Http\Controllers\CustomerWaresControler;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\ProductMarketController;
use App\Http\Controllers\ProductTemplateController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

/*------------------------------------------
--------------------------------------------
All Normal Users Routes List
--------------------------------------------
--------------------------------------------*/
Route::middleware(['auth', 'user-access:user'])->group(function () {

    Route::get('/home', [HomeController::class, 'index'])->name('home');
});

/*------------------------------------------
--------------------------------------------
All Admin Routes List
--------------------------------------------
--------------------------------------------*/
Route::middleware(['auth', 'user-access:admin'])->group(function () {

    //customers
    Route::resource('admin/customers', CustomersController::class);
    Route::get('admin/delete_subcategory', [CustomersController::class, 'delete_subcategory']);
    Route::get('admin/downloadPDF', [CustomersController::class, 'downloadPDF']);

    //helpers
    Route::get('admin/show_subcategory_by_category_id', [CustomerHelper::class, 'show_subcategory_by_category_id']);
    Route::get('admin/helper_add_subcategory', [CustomerHelper::class, 'helper_add_subcategory']);
    Route::get('admin/helper_add_subcategory', [CustomerHelper::class, 'helper_add_subcategory']);
    Route::get('admin/customers_autocomplete', [CustomerHelper::class, 'customers_autocomplete']);
    Route::get('admin/find_textiles_filters', [CustomerHelper::class, 'find_textiles_filters']);
    Route::get('admin/find_market_product', [CustomerHelper::class, 'find_market_product']);
    Route::get('admin/get_subcategoires_by_category_id', [CustomerHelper::class, 'get_subcategoires_by_category_id']);
    Route::get('admin/search_ware_name', [CustomerHelper::class, 'search_ware_name']);
    Route::get('admin/template_child_validator', [CustomerHelper::class, 'template_child_validator']);
    Route::get('admin/take_categories', [CustomerHelper::class, 'take_categories']);
    Route::get('admin/subcategories_for_category', [CustomerHelper::class, 'subcategories_for_category']);

//    Route::get('admin/customer/helper_add_subcategory', [CustomerHelper::class, 'helper_add_subcategory']);

    //ware
    Route::resource('admin/wares', CustomerWaresControler::class);
//    Route::get('admin/wares', [CustomerWaresControler::class, 'index']);

    //ware-textile
    Route::get('admin/textile', [CustomerWaresControler::class, 'customers_textile'])->name('textile');


    //bils
    Route::resource('admin/bills', BillsController::class);
//    Route::get('admin/bills', [BillsController::class, 'index']);
//    Route::get('admin/customers/{id}/create_bill', [BillsController::class, 'generate_bill'])->name('create_bill');
    Route::get("/admin/get_customer_coin", [CustomerHelper::class, 'get_customer_coin']);

    /*product template*/
    Route::resource('admin/templates', ProductTemplateController::class);
    Route::post('admin/templates/create_child_templates', [CustomerHelper::class, 'create_child_templates']);
    Route::get('admin/templates/show_template_child/{parent_id}/{child_id}', [ProductTemplateController::class, 'show_template_child'])->name('templates.show_template_child');
    Route::get('admin/templates/show_template_table/{parent_id}/{child_id}', [ProductTemplateController::class, 'show_template_table'])->name('templates.show_template_table');

    /*product market route*/
    Route::resource('admin/market', ProductMarketController::class);


});

/*------------------------------------------
--------------------------------------------
All Admin Routes List
--------------------------------------------
--------------------------------------------*/
Route::middleware(['auth', 'user-access:manager'])->group(function () {

    Route::get('/manager/home', [HomeController::class, 'managerHome'])->name('manager.home');
});

resources/views/products_template/template_create.blade.php
@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Add New Product</h2>
            </div>

        </div>
    </div>

    @if ($errors->any())

        <div class="alert alert-danger">
            @foreach ($errors->all() as $error)
                <p>{{ $error }}</p>
            @endforeach
        </div>

    @endif

    <form action="{{ route('templates.store') }}" method="POST" id="parent_template" enctype="multipart/form-data">
        @csrf
        <div id="customerOrProviderForm">

            <div class="col-xs-12 col-sm-12 col-md-12">
                <input type="radio" name="type" value="Abelard" id="template_gender_type">
                <label for="Abelard">Abelard</label>
            </div>

            <div class="col-xs-12 col-sm-12 col-md-12">
                <input type="radio" class="" name="type" value="Heloise" id="template_gender_type1">
                <label for="Heloise">Heloise</label>
            </div>

            <div class="row" id="template_parent_box" style="display: none">

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Number of Products</strong>
                        <input type="number"
                               name="number_of_child"
                               class="form-control required number_of_child"
                               id="number_of_child"
                               placeholder="Number of Products"
                        >
                    </div>
                </div>

                <div class="form-group required">
                    <strong>Product Name</strong>
                    <input type="text" name="product_name" id="template_name" class="form-control required"
                           placeholder="Product Name">
                </div>

                <div class="form-group col-xs-12 col-sm-12 col-md-12 required">
                    <label for="marketing_category_id">Tayloring:</label>
                    <select class="form-control required" name="marketing_category_id" id="marketing_category_id"
                            required>
                        @foreach($marketing_categories as $marketing_category)
                            <option value="{{$marketing_category->id}}">{{$marketing_category->name}}</option>
                        @endforeach
                        <option selected="selected" value="">No category</option>
                    </select>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Category:</strong>
                        <input type="text" name="category" class="form-control required" placeholder="Category" id="category">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Theme:</strong>
                        <input type="text" name="theme" class="form-control required" placeholder="Theme" id="theme">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Styles:</strong>
                        <input type="text" name="styles" class="form-control required" placeholder="Styles" id="styles">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Occasion :</strong>
                        <input type="text" name="occasion" class="form-control required" placeholder="Occasion " id="occasion">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Seasonality:</strong>
                        <input type="text" name="seasonality" class="form-control required" placeholder="Seasonality" id="seasonality">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Author:</strong>
                        <input type="text" name="author" class="form-control required" placeholder="Author" id="author">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Collection:</strong>
                        <input type="text" name="collection" class="form-control required" placeholder="Collection" id="collection">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Cuffs:</strong>
                        <input type="text" name="cuffs" class="form-control required" placeholder="Cuffs" id="cuffs">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Slits:</strong>
                        <input type="text" name="slits" class="form-control required" placeholder="Slits" id="slits">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Sleeves :</strong>
                        <input type="text" name="sleeves" class="form-control required" placeholder="Sleeves"
                               id="sleeves">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Pockets:</strong>
                        <input type="text" name="pockets" class="form-control required" placeholder="Pockets"
                               id="pockets">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Stitching:</strong>
                        <input type="text" name="stitching" class="form-control required" placeholder="Stitching"
                               id="stitching">
                    </div>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Seams colour:</strong>
                        <input type="text" name="seams_colour" class="form-control required" placeholder="Seams colour"
                               id="seams_colour">
                    </div>
                </div>

                <div class="form-group col-xs-12 col-sm-12 col-md-12 required">
                    <strong for="cars">Buttons:</strong>
                    <select name="template_buttons" id="template_buttons" class="form-control required">
                        <option>forms</option>
                        <option>colors</option>
                        <option selected="selected" value="">Select one</option>
                    </select>
                </div>

                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group required">
                        <strong>Interlining:</strong>
                        <input type="text" name="interlining" class="form-control required" placeholder="Interlining"
                               id="interlining">
                    </div>
                </div>

                <input type="hidden" name="categories_template_child" id="categories_template_child">
                <input type="hidden" name="product_template_child" id="product_template_child">

                <div class="form-group">
                    <input type="button" value="Valideaza" class="btn btn-primary generate-template-children-form">
                </div>
                {{--create child--}}
                @include('products_template.product_child.template_child')
                {{--create child END --}}

            </div>

            <div class="col text-center">
                <div class="form-group">
                    <button type="submit" style="display: none" id="salve_parent_product"
                            class="btn btn-primary child-salve">Salveaza
                    </button>
                </div>
                <div class="form-group">
                    <a class="btn btn-danger" href="{{ route('templates.index') }}"> Renunta</a>
                </div>
            </div>
        </div>
    </form>
@endsection

resources/views/products_template/template_filter.blade.php
<div class="row searchFilter-custom round3">

    <div class="form-row filter-customers col-lg-12">
        <form action="{{ route('templates.index') }}" method="get">
            <div class="form-row">
            <div>
                <a class="add" href="{{ route('templates.create') }}"> ADAUGA PROTOTIP</a>
            </div>
            <div >

                <div class="input-group ">
                    <div class="filter-item1 filter-control btn-group">
                        <select name="customer_type" id="department" class="form-control group">
                            <option value="customer">--Selecteaza tipul--</option>
                            <option value="customer">Abelard</option>
                            <option value="provider">Heloise</option>
                        </select>
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="product_name" placeholder="--Prototip Name--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Collection--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Code--"
                            class="form-control group">
                    </div>
                </div>
                <br>

                <div class="input-group">
                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Author--"
                        class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Category--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Theme--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <select placeholder="--Tayloring--" name="marketing_category_id" class="form-control group">
                            @foreach($taylorings as $tayloring)
                                <option >
                                    {{$tayloring->name}}
                                </option>
                            @endforeach
                        <select>
                    </div>
                </div>

                <br>

                <div class="input-group ">
                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Occasion --"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Sesonality --"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Syles --"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Supplier--"
                            class="form-control group">
                    </div>
                </div>
                <br>

                <div class="input-group ">

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Composition--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Material--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Design--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Color--"
                            class="form-control group">
                    </div>
                </div>
                <br>

                <div class="input-group ">
                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Structure--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Weaving--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Finishing--"
                            class="form-control group">
                    </div>

                    <div class="filter-item1 filter-control btn-group">
                        <input type='text' id="find_customer" name="customer_name" placeholder="--Rating--"
                            class="form-control group">
                    </div>
                </div>
            </div>
            </div>

            <button id="searchBtn" type="submit" class="filter-customers-OK"> OK</button>

            {{--                        @if ($customers) --}}
            {{--                            <button type="submit" name="downloadPDF" value="PDF" class="class="pdf-style"">SALVEAZA ca .pdf --}}
            {{--                            </button> --}}
            {{--                        @endif --}}
        </form>
        <form>
            <button type="submit" class="revert-customers">REVERT</button>
        </form>
    </div>

</div>

resources/views/products_template/template_index.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">

        @include('products_template.template_filter')

        <!--end filter-->
        <br>
        <br>
        <br>
        <div class="clintes-p">
            {{-- @if ($customers) --}}
                <div>
                    <h4 class="filter-selection"> {{ $filter_title ?? 'Prototipuri:' }}</h4>
                </div>
            {{-- @endif --}}
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        @if ($templates)
            <div>
                <ul class="list-body">
                    @foreach ($templates as $template)
                    <div class="clients-group list-group-item">

                            <div class="align">

                                <b>{{ $template->product_name }} </b> /

                                <a> {{ $template->id . '-' . $template->suffix . '/' . $template->number_of_child }} </a>


                                <div class="dropdown option-button">
                                    <div class=" dropdown" type="button" id="dropdownMenuButton" data-toggle="dropdown"
                                        aria-haspopup="true" aria-expanded="false">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                            fill="currentColor" class="bi bi-three-dots-vertical" viewBox="0 0 16 16">
                                            <path
                                                d="M9.5 13a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z" />
                                        </svg>
                                    </div>
                                    {{--                                    <form action="{{ route('template.destroy',$customer->id) }}" method="POST"> --}}

                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                        <a class="dropdown-item"
                                            href="{{ route('templates.show_template_child', ['parent_id' => $template->id, 'child_id' => $template->child_id]) }}">
                                            Vezi Prototipul
                                        </a>

                                        <a class="dropdown-item"
                                            href="{{ route('templates.show_template_table', ['parent_id' => $template->id, 'child_id' => $template->child_id]) }}">
                                            Vezi Tabelul
                                        </a>
                                        @csrf
                                        @method('DELETE')
                                        <button class="dropdown-item">Delete</button>

                                    </div>
                                    {{--                                    </form> --}}
                                </div>
                            </div>
                        </div>
                        <br>
                    @endforeach
                </ul>
            </div>
        @else
            <div class="alert alert-warning">
                <h5>Nici un prototip!</h5>
            </div>
        @endif
    </div>
@endsection